Bug 109141 - Web Inspector: [Resources] Prefactorings in DataGrid and CookieTable
Summary: Web Inspector: [Resources] Prefactorings in DataGrid and CookieTable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Eugene Klyuchnikov
URL:
Keywords:
Depends on:
Blocks: 109140
  Show dependency treegraph
 
Reported: 2013-02-06 23:45 PST by Eugene Klyuchnikov
Modified: 2013-02-17 23:42 PST (History)
10 users (show)

See Also:


Attachments
Patch (7.59 KB, patch)
2013-02-07 00:27 PST, Eugene Klyuchnikov
pfeldman: review+
Details | Formatted Diff | Diff
Patch (7.61 KB, patch)
2013-02-08 01:46 PST, Eugene Klyuchnikov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Klyuchnikov 2013-02-06 23:45:33 PST
1) Make deleteCookie method static and move to WebInspector.Cookie
2) Replace resfreshCallback getter/setter in DataGrid with constructor parameter
Comment 1 Eugene Klyuchnikov 2013-02-07 00:27:42 PST
Created attachment 187005 [details]
Patch
Comment 2 Andrey Adaikin 2013-02-07 05:50:35 PST
Comment on attachment 187005 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187005&action=review

> Source/WebCore/inspector/front-end/CookieParser.js:360
> +    PageAgent.deleteCookie(cookie.name(), (cookie.secure() ? "https://" : "http://") + cookie.domain() + cookie.path());

cookie.port() ?
Comment 3 Eugene Klyuchnikov 2013-02-07 21:07:20 PST
(In reply to comment #2)
> (From update of attachment 187005 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=187005&action=review
> 
> > Source/WebCore/inspector/front-end/CookieParser.js:360
> > +    PageAgent.deleteCookie(cookie.name(), (cookie.secure() ? "https://" : "http://") + cookie.domain() + cookie.path());
> 
> cookie.port() ?

No. Lease refer https://code.google.com/p/browsersec/wiki/Part2#Same-origin_policy_for_cookies
Comment 4 Pavel Feldman 2013-02-07 23:46:31 PST
Comment on attachment 187005 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187005&action=review

looks good with a nit.

> Source/WebCore/inspector/front-end/CookieParser.js:358
> +WebInspector.Cookie.deleteCookie = function(cookie)

just declare it as "delete" on the WebInspector.Cookie.prototype. Also please add an optional callback.
Comment 5 Eugene Klyuchnikov 2013-02-08 01:45:12 PST
Comment on attachment 187005 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187005&action=review

>> Source/WebCore/inspector/front-end/CookieParser.js:358
>> +WebInspector.Cookie.deleteCookie = function(cookie)
> 
> just declare it as "delete" on the WebInspector.Cookie.prototype. Also please add an optional callback.

Done
Comment 6 Eugene Klyuchnikov 2013-02-08 01:46:57 PST
Created attachment 187267 [details]
Patch
Comment 7 WebKit Review Bot 2013-02-11 02:13:24 PST
Comment on attachment 187267 [details]
Patch

Clearing flags on attachment: 187267

Committed r142441: <http://trac.webkit.org/changeset/142441>